Package org.drinkless.tdlib

# Class TdApi.SearchWebApp

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundWebApp>
org.drinkless.tdlib.TdApi.SearchWebApp

Enclosing class:
  TdApi

public static class TdApi.SearchWebApp extends TdApi.Function<TdApi.FoundWebApp>
Returns information about a Web App by its short name. Returns a 404 error if the Web App is not found.

Returns `FoundWebApp`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the target bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `webAppShortName`
  Short name of the Web App.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchWebApp()`
  Default constructor for a function, which returns information about a Web App by its short name.
  `SearchWebApp(long botUserId, String webAppShortName)`
  Creates a function, which returns information about a Web App by its short name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the target bot.

  - ### webAppShortName

    public String webAppShortName
    Short name of the Web App.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchWebApp

    public SearchWebApp()
    Default constructor for a function, which returns information about a Web App by its short name. Returns a 404 error if the Web App is not found.

    Returns `FoundWebApp`

  - ### SearchWebApp

    public SearchWebApp(long botUserId, String webAppShortName)
    Creates a function, which returns information about a Web App by its short name. Returns a 404 error if the Web App is not found.

    Returns `FoundWebApp`

    Parameters:
      `botUserId` - Identifier of the target bot.
      `webAppShortName` - Short name of the Web App.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundWebApp>`
    Returns:
      this.CONSTRUCTOR